php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #2754 OCI8 doesn't work
Submitted: 1999-11-18 15:07 UTC Modified: 2006-07-17 08:43 UTC
From: dnehring at telemedia dot de Assigned:
Status: Closed Package: OCI8 related
PHP Version: 4.0 Beta 3 OS: Solaris 2.6
Private report: No CVE-ID: None
Welcome back! If you're the original bug submitter, here's where you can edit the bug or add additional notes.
If this is not your bug, you can add a comment by following this link.
If this is your bug, but you forgot your password, you can retrieve your password here.
Password:
Status:
Package:
Bug Type:
Summary:
From: dnehring at telemedia dot de
New email:
PHP Version: OS:

 

 [1999-11-18 15:07 UTC] dnehring at telemedia dot de
PHP-4.0b3 works flawlessly for me in the following configuration:

CFLAGS="-s -O2 -fomit-frame-pointer" \
./configure --with-apxs=/usr/local/tm/apache/bin/apxs \
        --with-config-file-path=/var/config/php4 \
        --disable-debug \
        --enable-track-vars \
        --enable-safe-mode \
        --with-exec-dir=/usr/bin \
        --without-yp \
        --with-imap=/usr/local/tm/gnu \
        --with-mysql=/usr/local/tm/mysql \
	--with-ldap=/usr/local/tm/openldap \
        --with-db2

We hae Oracle 8i installed. When I try to compile the oci8-interface by adding:

--with-oci8=/usr/local/oracle/8.1.5

I got the following error when starting apache-1.3.9:

Syntax error on line 205 of /var/config/httpd-mail/httpd.conf:
Cannot load /usr/local/tm/mod_php-4.0-991118/libexec/mod_php_ora.so into server: ld.so.1: //usr/local/tm/apache-1.3.9/bin/httpd: fatal: relocation error: file /usr/local/tm/mod_php-4.0-991118/libexec/mod_php_ora.so: symbol __cmpdi2: referenced symbol not found

The following libs are linked in:

ldd .libs/libphp4.so 
        libdl.so.1 =>    /usr/lib/libdl.so.1
        libm.so.1 =>     /usr/lib/libm.so.1
        libresolv.so.2 =>        /usr/lib/libresolv.so.2
        libnsl.so.1 =>   /usr/lib/libnsl.so.1
        libsocket.so.1 =>        /usr/lib/libsocket.so.1
        libmysqlclient.so.6 =>   /usr/local/tm/mysql/lib/mysql/libmysqlclient.so.6
        libclntsh.so.8.0 =>      /usr/local/oracle/8.1.5/lib/libclntsh.so.8.0
        libpam.so.1 =>   /usr/lib/libpam.so.1
        libc.so.1 =>     /usr/lib/libc.so.1
        libucb.so.1 =>   (file not found)
        libelf.so.1 =>   /usr/lib/libelf.so.1
        libmp.so.2 =>    /usr/lib/libmp.so.2
        libucb.so.1 =>   /usr/ucblib/libucb.so.1
        libaio.so.1 =>   /usr/lib/libaio.so.1

Any ideas?

Dirk

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1999-12-01 13:10 UTC] dnehring at telemedia dot de
Try running configure with --with-oracle instead of --with--oci8
 [2000-06-15 08:05 UTC] rasmus at cvs dot php dot net
Is this still happening with 4.0.0?
 [2000-06-15 18:43 UTC] thies at cvs dot php dot net
user says its fixed.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue Jun 25 10:01:26 2019 UTC